<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: product.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: product.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>const url = (new URL(document.location)).searchParams
const id = url.get('id')
const getTeddy = `http://localhost:3000/api/teddies/${id}`


/** Fonction qui met en page le produit sélectionné
 * 
 * @param {object} teddy Réponse de l'API qui nous renvoie le produit sélectionné
 */
const showProduct = (teddy) => {
  const teddyPlace = document.getElementById('product-container')
  const teddyTitle = document.querySelector('title')

// Création de la "carte produit" qui contient toutes les informations du produit sélectionné(excepté l'id) 
// ainsi qu'un élément &lt;select> pour choisir la quantité d'articles voulue et les boutons de navigation 
// (pour un retour à l'accueil, l'ajout du produit au panier et pour voir son panier)

  teddyTitle.innerText = `OrinoBears - ${teddy.name}`
  teddyPlace.innerHTML = `
                        &lt;form>
                          &lt;div class="d-flex justify-content-around">
                              &lt;img src="${teddy.imageUrl}" alt="Photo de l'ourson ${teddy.name}" class =" ml-3 col-6">
                              &lt;div class="col-5">
                                &lt;h4 class="text-center col-12">${teddy.name}&lt;/h4>
                                &lt;div class="form-group">
                                    &lt;label for="colors">Couleurs&lt;/label>
                                    &lt;select class="col-12" name="colors" id="colors">
                                      
                                    &lt;/select>
                                &lt;/div>
                                &lt;div class="form-group">
                                  &lt;label for="quantity">Quantité&lt;/label>
                                  &lt;select class="col-12" name="quantity" id="quantity">
                                    
                                    &lt;option value="1">1&lt;/option>
                                    &lt;option value="2">2&lt;/option>
                                    &lt;option value="3">3&lt;/option>
                                    &lt;option value="4">4&lt;/option>
                                    &lt;option value="5">5&lt;/option>
                                    &lt;option value="10">10&lt;/option>
                                  &lt;/select>
                                &lt;/div>
                                &lt;div class="text-center">
                                  &lt;h4>Prix&lt;/h4>
                                  &lt;p>${teddy.price / 100},00€&lt;/p>
                                &lt;/div>
                              &lt;/div>
                          &lt;/div>
                          &lt;div class="description text-center col-12 my-4 px-0">
                            &lt;h4 class="col-12 ">Description&lt;/h4>
                            &lt;p class="description-text col-6">${teddy.description}&lt;/p>
                            
                            &lt;div class="d-flex justify-content-around align-items-center col-12">
                            
                            &lt;a href = "/public/index.html" class="btn btn-secondary bg-info" id="return"> &lt; Continuer mes achats&lt;/a>
                            &lt;a href = "#" class="btn btn-secondary bg-success" id="addCart">Ajouter au panier&lt;/a>
                            &lt;a href = "/public/shop-cart.html" class="btn btn-secondary bg-primary" id="shop-cart">Voir mon panier > &lt;/a>

                            &lt;/div>
                            &lt;div class="bg-success text-light col-12 mt-3 d-none form-appear" id="return-cart">Je suis content d'avoir trouvé un nouvel ami!&lt;/div>
                          &lt;/div>
                        &lt;/form>
`
//Création des options de coloris pour le produit sélectionné

  for (let i = 0; i &lt; teddy.colors.length; i++) {
    const color = teddy.colors[i];
    //  // console.log(color);
    const select = document.getElementById('colors')
    const newOption = document.createElement('option')
    newOption.setAttribute('value', color)
    select.appendChild(newOption)
    newOption.innerText = `${teddy.colors[i]}`

  }
  
}

/** Fonction qui permet, au clic sur le bouton "Ajouter au panier", d'ajouter le produit sélectionné au panier
 * 
 * @param {object} teddy Réponse de l'API qui nous renvoie le produit sélectionné
 */

const addCart = (teddy) => {
  const addCart = document.querySelector('#addCart')
    // console.log(addCart);
    addCart.addEventListener('click', function (event) {
      event.preventDefault()
      const returnCart = document.getElementById('return-cart')
      returnCart.classList.remove('d-none')
      setTimeout(() => {
        returnCart.classList.add('d-none')
      },1200)
      let teddySelected = {
        "name": teddy.name,
        "color": document.getElementById('colors').value,
        "quantity": document.getElementById('quantity').value,
        "price": `${(teddy.price * document.getElementById('quantity').value)}`,
        "id": `${teddy._id}`
      }
      // console.log(teddySelected)
      const myCart = sessionStorage.getItem("myCart") !== null ? JSON.parse(sessionStorage.getItem("myCart")) : []


      myCart.push(teddySelected)
      sessionStorage.setItem("myCart", JSON.stringify(myCart))

    })
}

// Requête fetch(get) pour récupérer le produit sélectionné sur la page d'accueil

fetch(getTeddy)
.then(response => response.json())
.then(data => {
  showProduct(data)
  console.log(typeof data);
  addCart(data)
})
.catch(err => console.log(err))
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Projet 5 - Orinoco</a></h2><h3>Global</h3><ul><li><a href="global.html#addCart">addCart</a></li><li><a href="global.html#createCards">createCards</a></li><li><a href="global.html#deleteItems">deleteItems</a></li><li><a href="global.html#requestFetch">requestFetch</a></li><li><a href="global.html#sendFormRequest">sendFormRequest</a></li><li><a href="global.html#showConfirm">showConfirm</a></li><li><a href="global.html#showProduct">showProduct</a></li><li><a href="global.html#showShopCart">showShopCart</a></li><li><a href="global.html#testFormConform">testFormConform</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed Sep 15 2021 06:12:13 GMT+0200 (heure normale d’Afrique méridionale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
